AuthenticatorBase.SsoReauthenticationMode (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.catalina.authenticator, class: AuthenticatorBase, enum: SsoReauthenticationMode

# Enum AuthenticatorBase.SsoReauthenticationMode

java.lang.Object
java.lang.Enum<AuthenticatorBase.SsoReauthenticationMode>
org.apache.catalina.authenticator.AuthenticatorBase.SsoReauthenticationMode

All Implemented Interfaces:
  `Serializable, Comparable<AuthenticatorBase.SsoReauthenticationMode>, java.lang.constant.Constable`

Enclosing class:
  `AuthenticatorBase`

protected static enum AuthenticatorBase.SsoReauthenticationMode extends Enum<AuthenticatorBase.SsoReauthenticationMode>
Defines the modes for SSO re-authentication behavior.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  Use the default re-authentication mode determined by the SSO valve configuration.
  `FULL`
  Always require full re-authentication.
  `PASSWORD`
  Re-authenticate using cached user name and password.
  `PRINCIPAL`
  Re-authenticate using the cached principal.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AuthenticatorBase.SsoReauthenticationMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AuthenticatorBase.SsoReauthenticationMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final AuthenticatorBase.SsoReauthenticationMode DEFAULT
    Use the default re-authentication mode determined by the SSO valve configuration.

  - ### PRINCIPAL

    public static final AuthenticatorBase.SsoReauthenticationMode PRINCIPAL
    Re-authenticate using the cached principal.

  - ### PASSWORD

    public static final AuthenticatorBase.SsoReauthenticationMode PASSWORD
    Re-authenticate using cached user name and password.

  - ### FULL

    public static final AuthenticatorBase.SsoReauthenticationMode FULL
    Always require full re-authentication.

- ## Method Details

  - ### values

    public static AuthenticatorBase.SsoReauthenticationMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AuthenticatorBase.SsoReauthenticationMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null